#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-mines
Version		:	40.1
Release		:	14.8.0.0%{?dist}
Summary		:	GNOME Mines Sweeper game

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and CC-BY-SA
URL		:	https://wiki.gnome.org/Apps/Mines
Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	pkgconfig(gtk+-3.0) >= 3.12
BuildRequires	:	pkgconfig(libgnome-games-support-1)
BuildRequires	:	itstool
BuildRequires	:	pkgconfig(librsvg-2.0)

BuildRequires	:	desktop-file-utils
BuildRequires	:	meson
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
The popular logic puzzle minesweeper. Find mines on a grid 
using hints from squares you have already cleared.

#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mines.gschema.xml
%{_datadir}/%{name}/themes/bgcolors/*.svg
%{_datadir}/%{name}/themes/classic/*.svg
%{_datadir}/%{name}/themes/default/*.svg
%{_datadir}/%{name}/themes/bgcolors/theme.css
%{_datadir}/%{name}/themes/classic/theme.css
%{_datadir}/%{name}/themes/default/theme.css
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Mines.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Mines-symbolic.svg
%{_datadir}/metainfo/org.gnome.Mines.appdata.xml
%{_mandir}/man6/%{name}.6.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%autosetup -p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome

#-----------------------------------------------------------------------------
%changelog

